apt-get upgrade更新时忽略指定包

有运维或运维开发方面的需求,可以联系博主QQ 452336092或Email:admin#centos.bz(收费)

当使用 apt-get 命令时,默认会将所有需要更新的包都下载更新,但是我的 docker-ce 指向的是官方的源,速度非常慢,而且我并没有更新它的需求,这个时候就需要在更新的时候将 docker-ce 排除掉。

apt-mark hold xxx

使用这个命令可以将指定的包的版本hold住,这样在更新的时候就会忽略掉这个包。

apt-mark unhold xxx

将 hold 替换为 unhold 就可以取消对这个包版本的锁定了。

原文出处:csdn -> http://blog.csdn.net/xs20691718/article/details/79011760

打赏

如果此文对你有所帮助,请随意打赏鼓励作者^_^